Bug 659368 - Review Request: luabind - A library that helps create bindings between C++ and Lua
Summary: Review Request: luabind - A library that helps create bindings between C++ an...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dmitrij S. Kryzhevich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-02 16:33 UTC by Tom "spot" Callaway
Modified: 2011-02-27 04:51 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-02-27 04:51:02 UTC
kryzhev: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2010-12-02 16:33:37 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/new/luabind.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/luabind-0.9.1-1.fc14.src.rpm
Description: 

Luabind is a library that helps you create bindings between C++ and Lua. It
has the ability to expose functions and classes, written in C++, to Lua. It
will also supply the functionality to define classes in Lua and let them derive
from other Lua classes or C++ classes. Lua classes can override virtual
functions from their C++ base classes. It is written towards Lua 5.0, and does
not work with Lua 4.

NOTE: This package depends on boost-build and boost-jam, which are new subpackages from the boost package. They exist in rawhide, and are in pending updates for Fedora 13 and 14:

https://admin.fedoraproject.org/updates/boost-1.41.0-10.fc13
https://admin.fedoraproject.org/updates/boost-1.44.0-2.fc14

Comment 1 Dmitrij S. Kryzhevich 2010-12-03 07:22:10 UTC
Will take this.

Comment 2 Dmitrij S. Kryzhevich 2010-12-03 11:10:24 UTC
Hm. Unable to build, with lates testing boost: http://koji.fedoraproject.org/koji/taskinfo?taskID=2641074

Comment 3 Tom "spot" Callaway 2010-12-03 17:46:24 UTC
Whoops. I pushed a new boost update to fix that, and confirmed that it builds luabind.

https://admin.fedoraproject.org/updates/boost-1.41.0-11.fc13
https://admin.fedoraproject.org/updates/boost-1.44.0-3.fc14

Comment 4 Dmitrij S. Kryzhevich 2010-12-04 13:29:10 UTC
Looks like author need to update the examples, the simplest one does not work.

luabind.src: W: spelling-error %description -l en_US Lua -> Lu, La, Luna
luabind.src: W: no-cleaning-of-buildroot %install
luabind.src: W: no-cleaning-of-buildroot %clean
luabind.src: W: no-buildroot-tag
luabind.src: W: no-%clean-section
luabind.src: W: invalid-url Source0: http://download.sourceforge.net/luabind/luabind-0.9.1.tar.gz HTTP Error 404: Not Found
luabind.x86_64: W: spelling-error %description -l en_US Lua -> Lu, La, Luna
4 packages and 0 specfiles checked; 0 errors, 7 warnings.

In packaging guid writen download_s_.sourceforge.net, but it works as is. Does not metter.

%{doc}/changes.txt,docs.html,index.html are in -devel subpackage. Any reasons they must be there but not in the main package? It is not a blocker, ofcause.

=========
Review

* rpmlint output could be safty ignored.
* The package is named according to the Package Naming Guidelines .
* The spec file name matchs the base package %{name}. 
* The package meets the Packaging Guidelines .
* The package is licensed with a Fedora approved license: MIT.
* The License field in the package spec file matchs the actual license.
* File, containing the text of the license(s) for the package is included in %doc.
* The spec file is written in American English.
* The spec file for the package is legible.
* The sources used to build the package match the upstream source.
* The package successfully compiles and builds into binary rpms on at least one primary architecture.
* All build dependencies are listed in BuildRequires.
* There are no locales.
* Binary RPM package calls ldconfig in %post and %postun.
* A package owns all directories that it creates.
* Files listed once.
* Permissions on files are setted properly.
* %doc does not affect the runtime of the application.
* Header files are in a -devel package.
* Library file that end in .so (without suffix) is in a -devel package.
* Devel packages requires the base package in proper way.
* Packages do NOT contain any .la libtool archives.
* All filenames in rpm packages are valid UTF-8.
========

APPROVED

Comment 5 Tom "spot" Callaway 2010-12-06 14:55:51 UTC
New Package SCM Request
=======================
Package Name: luabind
Short Description: A library that helps create bindings between C++ and Lua
Owners: spot
Branches: f13 f14 devel
InitialCC:

Comment 6 Jason Tibbitts 2010-12-06 16:01:29 UTC
Git done (by process-git-requests).

Comment 7 Jan Kaluža 2011-02-08 17:35:51 UTC
What's the state of this one please? I would like to add package which needs luabind.

Comment 8 Dmitrij S. Kryzhevich 2011-02-09 05:44:03 UTC
Rawhide build is completed. Future F15 will be supplied with it.
There is no F14 luabind still.

Comment 9 Fedora Update System 2011-02-18 14:06:25 UTC
luabind-0.9.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/luabind-0.9.1-1.fc13

Comment 10 Fedora Update System 2011-02-18 14:06:34 UTC
luabind-0.9.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/luabind-0.9.1-1.fc14

Comment 11 Fedora Update System 2011-02-19 01:20:41 UTC
luabind-0.9.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update luabind'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/luabind-0.9.1-1.fc13

Comment 12 Fedora Update System 2011-02-27 04:50:57 UTC
luabind-0.9.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-02-27 04:51:12 UTC
luabind-0.9.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.